OK
AJAX error!

Les forumsGrammalecteModule Firefox "La sécurité de ce module n’est pas contrôlée par Mozilla"

Module Firefox "La sécurité de ce module n’est pas contrôlée par Mozilla"

Bonjour,

sur la page d'accueil, je lis :

Le module pour Firefox est hébergé sur le site officiel des extensions de Mozilla. Les modules pour Firefox sont signés, par mesure de sécurité, et le code de l’extension est vérifié par Mozilla. Ce module n’envoie aucune information en ligne.



Pourtant sur la page de téléchargement du module, il est marqué l'inverse.

Je ne sais pas si le site de Grammalecte n'est pas à jour ou bien s'il y a un problème dans la certification du module par Mozilla, mais à tout hasard, je préfère le signaler.

Cordialement
le 14 septembre 2021 à 11:46
Bonjour,

J'ai lu et relu pas mal de fois tout le code source et il n'y a rien d'envoyer en ligne, mais le "Télécharger des fichiers, et consulter et modifier l’historique des téléchargements du navigateur" indiqué sur la page de l'extension est à cause de la possibilité de sauvegarder le dictionnaire personnel.

Cordialement
le 15 septembre 2021 à 18:36
Bonjour,

En fait il y a plusieurs types de vérifications possibles faits par Mozilla :
— Certaines de ces vérifications sont automatiques et sont réalisées par un ordinateur. L’avantage est qu’elles peuvent être effectuées sur TOUS les add-ons du site AMO (addons.mozilla.org). L’inconvénient est qu’elles ne sont pas parfaites et peuvent à la fois laisser passer des add-ons à problème et bloquer des add-ons parfaitement sains.
— D’autres vérifications sont manuellement réalisés par les développeurs de Mozilla. Le problème de ces vérifications est qu’elles sont lentes et nécessitent du personnel. Or les moyens de Mozilla sont limités. De fait Mozilla ne peut pas contrôler toutes les extensions. Dans les faits, seule la centaine d’extensions recommandée est scrupuleusement vérifiée à chaque version (et c’est déjà un travail énorme). Les autres extensions ne le sont qu’occasionnellement, d’où le message affiché sur AMO…

La bonne nouvelle c’est qu’il me semble que Grammalecte a déjà été vérifié manuellement par le passé. Mais, comme la vérification n’est pas faite à chaque version comme c’est le cas pour les extensions recommandées, le message d’avertissement est malgré tout affiché…
le 18 septembre 2021 à 11:09

Notification par e-mail    0